Page MenuHomePhabricator

Sort out the mess that is the DataTypes extension / library / npm packages in order to kill the build
Closed, ResolvedPublic

Description

Tracking ticket of sorts to group all sub tickets related to sorting the DataTypes repo / lib / extension / package out while killing the wikidata build.

Patch-For-Review:

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterDelete forgotten wikibase-data-types.php
mediawiki/extensions/Wikibase : masterMove over files of Data View library (JS part)
mediawiki/vendor : masterRemove data-values/data-types
mediawiki/extensions/Wikibase : masterMove over code of the Data Types library (PHP part)

Related Objects

StatusAssignedTask
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedWMDE-leszek
ResolvedAddshore
ResolvedLegoktm
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedLegoktm
ResolvedAddshore
ResolvedLegoktm
ResolvedAddshore
ResolvedLegoktm
ResolvedWMDE-leszek
ResolvedAddshore
Resolveddaniel
InvalidAddshore
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
InvalidNone
InvalidWMDE-leszek
ResolvedAddshore
ResolvedLadsgroup
ResolvedAddshore
InvalidNone
InvalidNone
Resolveddemon

Event Timeline

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 14 2017, 12:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore reassigned this task from Addshore to WMDE-leszek.Nov 14 2017, 12:45 PM
Addshore moved this task from Unsorted 💣 to Watching 👀 on the User-Addshore board.

Change 395516 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Move over files of Data View library (JS part)

https://gerrit.wikimedia.org/r/395516

Change 395518 had a related patch set (by WMDE-leszek) published:
[mediawiki/vendor@master] Remove data-values/data-types

https://gerrit.wikimedia.org/r/395518

hashar added a subscriber: hashar.Dec 6 2017, 9:40 AM

Change 395044 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move over code of the Data Types library (PHP part)

https://gerrit.wikimedia.org/r/395044

Change 395516 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move over files of Data View library (JS part)

https://gerrit.wikimedia.org/r/395516

Change 395518 merged by jenkins-bot:
[mediawiki/vendor@master] Remove data-values/data-types

https://gerrit.wikimedia.org/r/395518

thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2017-12-06 board.
Addshore closed this task as Resolved.Dec 8 2017, 10:25 AM

Will close this and leave T180455 hanging around as final cleanup (though not too important)

Change 419407 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Delete forgotten wikibase-data-types.php

https://gerrit.wikimedia.org/r/419407

Change 419407 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Delete forgotten wikibase-data-types.php

https://gerrit.wikimedia.org/r/419407